## ros-dashing-rviz-rendering-tests 6.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_rendering_tests)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  # Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)

  # do find_package(rviz_ogre_vendor) first to make sure the custom OGRE is found
  find_package(rviz_ogre_vendor REQUIRED)
  find_package(Qt5 REQUIRED COMPONENTS Widgets)
  find_package(rviz_rendering REQUIRED)
  find_package(resource_retriever REQUIRED)

  # Adds shallow folders containing ogre_media such as meshes and scripts to Rviz
  # so that they can be found at runtime. Requires rviz_rendering.
  register_rviz_ogre_media_exports(
    DIRECTORIES
    "ogre_media_resources/scripts"
    "ogre_media_resources/meshes"
  )

  install(DIRECTORY "${CMAKE_SOURCE_DIR}/ogre_media_resources/test_meshes"
    DESTINATION "share/rviz_rendering_tests"
    USE_SOURCE_PERMISSIONS)

  # TODO(Martin-Idel-SI): replace this with ament_lint_auto() and/or add the copyright linter back
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  ament_cppcheck()
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_index_cpp REQUIRED)

  ament_add_gmock(mesh_loader_test_target
    test/mesh_loader_test.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET mesh_loader_test_target)
    target_link_libraries(mesh_loader_test_target
      rviz_ogre_vendor::OgreMain
      rviz_rendering::rviz_rendering
      resource_retriever::resource_retriever
    )
    ament_target_dependencies(mesh_loader_test_target
      rviz_assimp_vendor)
  endif()

  ament_add_gtest(test_rviz_rendering_tests
    test/test_rviz_ogre_media_exports.cpp
    ${SKIP_DISPLAY_TESTS})
  if(TARGET test_rviz_rendering_tests)
    target_include_directories(test_rviz_rendering_tests
      PUBLIC src/rviz_rendering_tests)
    target_link_libraries(test_rviz_rendering_tests
      ament_index_cpp::ament_index_cpp)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-dashing-rviz-rendering-tests (6.1.8-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 21 May 2021 07:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.7-1bionic) bionic; urgency=high

  * Update maintainers. (#617 <https://github.com/ros2/rviz/issues/617>)
  * Contributors: Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 24 Nov 2020 08:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Mar 2020 07:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Dec 2019 08:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.4-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.2-1bionic) bionic; urgency=high

  * Fixed a bug in the STL loader where an STL would be loaded twice and produce an error. (#410 <https://github.com/ros2/rviz/issues/410>)
  * Contributors: Martin Idel

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.1-1bionic) bionic; urgency=high

  * Updated test to match changes from #404 <https://github.com/ros2/rviz/issues/404>
  * Contributors: Dirk Thomas

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-rviz-rendering-tests (6.1.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-rviz-rendering-tests (6.0.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rviz-rendering-tests (5.1.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-dashing-rviz-rendering-tests (5.0.0-1bionic) bionic; urgency=high

  * Changed to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Contributors: Andreas Greimel

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-dashing-rviz-rendering-tests (4.0.1-1bionic) bionic; urgency=high

  * Add Qt dependency to testing packages. (#330 <https://github.com/ros2/rviz/issues/330>)
  * Contributors: Steven! Ragnarök

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-dashing-rviz-rendering-tests (4.0.0-1bionic) bionic; urgency=high

  * Added tests for various displays and other features.
  * Contributors: Alessandro Bottero, Martin Idel, Steven! Ragnarök

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-dashing-rviz-rendering-tests (3.0.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 07 Feb 2018 08:00:00 -0000

ros-dashing-rviz-rendering-tests (2.0.0-1bionic) bionic; urgency=high

  * First version for ROS 2.
  * Contributors: Martin Idel, Steven! Ragnarok, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Aug 2017 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.10-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Jun 2017 00:37:00 -0000

ros-dashing-rviz-rendering-tests (1.12.9-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Jun 2017 21:23:00 -0000

ros-dashing-rviz-rendering-tests (1.12.8-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 07 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 05 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 May 2017 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.4-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 27 Oct 2016 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 19 Oct 2016 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.2-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 18 Oct 2016 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.1-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 Apr 2016 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.12.0-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.11.14-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 03 Apr 2016 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.11.13-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.11.12-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 02:58:00 -0000

ros-dashing-rviz-rendering-tests (1.11.11-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2016 01:16:00 -0000

ros-dashing-rviz-rendering-tests (1.11.10-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-dashing-rviz-rendering-tests (1.11.9-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 21 Sep 2015 07:00:00 -0000



=== debian/control ===
Source: ros-dashing-rviz-rendering-tests
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-dashing-ament-cmake, ros-dashing-ament-cmake-cppcheck, ros-dashing-ament-cmake-cpplint, ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-lint-cmake, ros-dashing-ament-cmake-uncrustify, ros-dashing-ament-index-cpp, ros-dashing-resource-retriever, ros-dashing-rviz-rendering, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rviz-rendering-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-resource-retriever, ros-dashing-rviz-rendering, ros-dashing-ros-workspace
Description: Example plugin for RViz - documents and tests RViz plugin development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rviz-rendering-tests//opt/ros/dashing/lib/:$(CURDIR)/debian/ros-dashing-rviz-rendering-tests//opt/ros/dashing/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-dashing-rviz-rendering-tests//opt/ros/dashing/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-dashing-rviz-rendering-tests//opt/ros/dashing/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
